%define name ldapdiff
%define version 1.0.0
%define release 1

Summary: updates an openldap server from ldif data file
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System/Utilities
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
# are those a correct dependecies?
BuildRequires: libldap2-devel

%description 
ldapdiff combines "diff" and "patch" functionality in one
application. 
the difference is, that ldapdiff is not designed for use on flat ascii files, 
it is designed for "patching" ldap directories using ldif files.

many people using ldap based directories have problems updating their ldap 
directory automatically, because the only offline interface between the 
company database and the ldap directory are ldif files. with ldap protocol 
version 3 it is possible to add, modify and delete entries based on ldif
statements.

%prep
%setup

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README TODO samples plugins
%{_bindir}/%{name}

%changelog
* Tue Dec  2 15:21:56 MET 2003 Thomas Reith <Thomas.Reith@rhoen.de> 1.0.0-1
* Tue Dec  2 11:05:48 MET 2003 Thomas Reith <Thomas.Reith@rhoen.de> 0.9.5-1
* Wed Nov 26 15:44:44 MET 2003 Thomas Reith <Thomas.Reith@rhoen.de> 0.9.4-1
* Mon Nov 24 14:58:55 MET 2003 Thomas Reith <Thomas.Reith@rhoen.de> 0.9.3-1
* Wed Oct 29 09:51:05 MET 2003 Thomas Reith <Thomas.Reith@rhoen.de> 0.9.2-1
* Thu Jun 20 2002 Tzafrir Cohen <tzafrir@gadot.org.il> 0.9.0-1
- Initial RPM spec


# end of file
